From 47f029c37c738a6e03b4f482281e7fb6d470ca14 Mon Sep 17 00:00:00 2001
From: "Bernhard R. Link" <brlink@debian.org>
Date: Sat, 9 Feb 2013 14:59:00 +0100
Subject: [PATCH 2/2] Dpkg::Source::Package::V3::native: catch invalid version
 strings

Ensure that a 3.0 (native) package has a native version.
---
 scripts/Dpkg/Source/Package/V3/native.pm |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/scripts/Dpkg/Source/Package/V3/native.pm b/scripts/Dpkg/Source/Package/V3/native.pm
index ba6539a..32e3c1b 100644
--- a/scripts/Dpkg/Source/Package/V3/native.pm
+++ b/scripts/Dpkg/Source/Package/V3/native.pm
@@ -64,7 +64,9 @@ sub do_extract {
 }
 
 sub can_build {
-    return 1;
+    my ($self, $dir) = @_;
+    my $v = Dpkg::Version->new($self->{'fields'}->{'Version'});
+    return (!!$v->is_native(), _g("native package version may not have a revision"));
 }
 
 sub do_build {
-- 
1.7.10.4

